package com.om.service;

import com.om.entity.po.SdkVersionInfo;
import com.baomidou.mybatisplus.extension.service.IService;
import com.om.entity.vo.PcbInfoVO;
import com.om.entity.vo.SDKInfoVO;
import com.om.utils.Result;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author bmmx
 * @since 2024-03-19
 */
public interface ISdkVersionInfoService extends IService<SdkVersionInfo> {

    Result getPageList(Integer pageIndex, Integer pageSize, String username);

    Result edit(SDKInfoVO infoVO);

    Result downloadFile(Integer id);

    Result delete(Integer id);

    Result add(SDKInfoVO infoVO);
}
